/*
*
* Copyright (c) 2004 Sun Microsystems, Inc.
* All rights reserved.
* You may not modify, use, reproduce, or distribute this software except in compliance with the terms
* of the License at: http://developer.sun.com/berkeley_license.html
* Author : Sameer Tyagi, Sun Microsystems s.t@sun.com
* "Patterns and Strategies for Building Document-Based Web Services"
*  http://java.sun.com/developer/technicalArticles/xml/jaxrpcpatterns
*/
package com.examples.attachmentservice;

import javax.activation.DataHandler;
import javax.xml.transform.Source;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface AttachmentService extends Remote {

    /**
     * This method implements a web service that stores
     * any attachment it receives.
     */
    public String storeDocumentService(DataHandler dh, String filename) throws RemoteException;

    public String storeDocumentXML(Source dh, String filename) throws RemoteException;

}